version: 1
metadata:
  category: Ad blocking
  name: Pi-hole®
  version: v0.0.2+2024.02.0
  display_version: 2024.02.0
  tagline: Your personal DNS and DHCP Server for ad-blocking
  description: >-
    Pi-hole is a network-wide ad blocker. Instead of installing adblockers on every device and every browser, you can install Pi-hole once on your network, and it will protect all of your devices. It blocks ads on any device and improves overall network performance. Pi-hole also has an API, so you can integrate it with your own software.
  dependencies: []
  repos:
    Core: https://github.com/pi-hole/pi-hole
    Dashboard: https://github.com/pi-hole/web
    Container: https://github.com/pi-hole/docker-pi-hole
  support: https://pi-hole.net/
  developers:
    Pi-hole: https://pi-hole.net/
  path: /
  default_password: {{ derive_entropy(identifier="pw") }}
  icon: https://official-app-icons.nirvati.org/pi-hole/icon.svg
  license: EUPL-1.2
  volumes:
    pihole:
      minimum_size: 50Mi
      recommended_size: 100Mi
      name: PiHole
      description: The data of Pi-hole
